FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS Development

 
 
LinkBack Thread Tools
 
Old 02-17-2011, 05:46 AM
Karanbir Singh
 
Default php-5.2.x needs adopting

On 02/17/2011 06:46 AM, Larry Vaden wrote:
>> Would someone like to adopt the 5.2 packages, bring them upto 5.2.17 and
>> maintain it going forward for c5 ?
>
> I dunno how to establish the trust Johnny mentioned, but you can count
> on me as a last resort if you have no other volunteers.

how about submitting a patch to the existing spec file bringing it upto
5.2.17; that would be a good place to start from

- KB
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 05:46 AM
Larry Vaden
 
Default php-5.2.x needs adopting

On Thu, Feb 17, 2011 at 12:29 AM, Karanbir Singh <mail-lists@karan.org> wrote:
> hi guys,
>
> We've had a php-5.2 in c5-testing which was based on the rhwas sources
> from upstream. Quite a few people have that package in production at
> various places however, this looks mostly unsupported upstream now.
>
> Would someone like to adopt the 5.2 packages, bring them upto 5.2.17 and
> maintain it going forward for c5 ?

I dunno how to establish the trust Johnny mentioned, but you can count
on me as a last resort if you have no other volunteers.

kind regards/ldv/vaden@texoma.net
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 05:49 AM
Martin Kocourek
 
Default php-5.2.x needs adopting

On 17.2.2011 07:29, Karanbir Singh wrote:
> Would someone like to adopt the 5.2 packages, bring them upto 5.2.17 and
> maintain it going forward for c5 ?

Hi,

it's not needed anymore I think.

In IUS Community repo (http://iuscommunity.org/) are both PHP 5.2 and
PHP 5.3 with plenty of modules and additional packages.

It's maintained very well IMHO and both versions works rock solid (if
it's possible at all for PHP ;-) )


Martin Kocourek

_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 11:12 AM
Jean-Marc Liger
 
Default php-5.2.x needs adopting

Le 17/02/11 07:46, Karanbir Singh a écrit :
> On 02/17/2011 06:46 AM, Larry Vaden wrote:
>>> Would someone like to adopt the 5.2 packages, bring them upto 5.2.17 and
>>> maintain it going forward for c5 ?
>> I dunno how to establish the trust Johnny mentioned, but you can count
>> on me as a last resort if you have no other volunteers.
> how about submitting a patch to the existing spec file bringing it upto
> 5.2.17; that would be a good place to start from
>
> - KB

Hi Karanbir,

Belowthe patch,php-extras would need to be recompiled as well.

JML

root# diff -uri php-5.2.17.spec php-5.2.10.spec
--- php-5.2.17.spec 2011-02-17 10:53:30.000000000 +0100
+++ php-5.2.10.spec 2009-08-10 11:12:31.000000000 +0200
@@ -5,7 +5,7 @@

Summary: The PHP HTML-embedded scripting language
Name: php
-Version: 5.2.17
+Version: 5.2.10
Release: 1%{?dist}
License: PHP
Group: Development/Languages
@@ -632,9 +632,6 @@
%files pdo -f files.pdo

%changelog
-* Thu Feb 17 2011 Jean-Marc Liger <jmliger@siris.sorbonne.fr>
5.2.17-1%{?dist}
-- update to 5.2.17
-
* Mon Aug 10 2009 Joe Orton <jorton@redhat.com> 5.2.10-1.el5s2
- update to 5.2.10


# mock -r epel-5-i386 --define='dist .el5' --resultdir=entrouvert-i386
php-5.2.17-1.src.rpm
INFO: mock.py version 1.0.14 starting...
State Changed: init plugins
INFO: selinux enabled
WARNING: selinux: 'yum' does not support '--setopt' option
State Changed: start
INFO: Start(php-5.2.17-1.src.rpm) Config(epel-5-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.14
INFO: Mock Version: 1.0.14
INFO: enabled root cache
INFO: root cache aged out! cache will be rebuilt
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
State Changed: setup
State Changed: build
INFO: Done(php-5.2.17-1.src.rpm) Config(epel-5-i386) 34 minutes 38 seconds
INFO: Results and/or logs in: centos-i386
INFO: Cleaning up build root ('clean_on_success=True')
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/epel-5-i386) unlocked and deleted

_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 11:18 AM
Paulo Martinez
 
Default php-5.2.x needs adopting

Am 17.02.2011 um 07:29 schrieb Karanbir Singh:
> hi guys,
>
> We've had a php-5.2 in c5-testing which was based on the rhwas sources
> from upstream. Quite a few people have that package in production at
> various places however, this looks mostly unsupported upstream now.


If php53 is in the pipeline, the question
raise up; whether there is a demand for it.


> Would someone like to adopt the 5.2 packages, bring them upto 5.2.17
> and
> maintain it going forward for c5 ?

diff php*.spec
8,9c8,9
< Version: 5.2.17
---
> Version: 5.2.10

Works for me.

Regards
PM

_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 11:19 AM
Karanbir Singh
 
Default php-5.2.x needs adopting

On 02/17/2011 12:18 PM, Paulo Martinez wrote:
>> We've had a php-5.2 in c5-testing which was based on the rhwas sources
> If php53 is in the pipeline, the question
> raise up; whether there is a demand for it.

that was my question as well, but it turns out that 5.2 isnt really
replaceable by 5.3 without change in code.

- KB
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 11:21 AM
Karanbir Singh
 
Default php-5.2.x needs adopting

On 02/17/2011 12:12 PM, Jean-Marc Liger wrote:
> Belowthe patch,php-extras would need to be recompiled as well.

Good point, does that work as expected for .17 ?

> -Version: 5.2.17
> +Version: 5.2.10

I'll roll that in for now, but we are going to need a better workfow
system moving forward. I'd vote for a shared git setup. Since were
mostly just using git for new stuff within centos.

- KB
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 11:25 AM
"John R. Dennison"
 
Default php-5.2.x needs adopting

On Thu, Feb 17, 2011 at 01:18:47PM +0100, Paulo Martinez wrote:
>
> If php53 is in the pipeline, the question
> raise up; whether there is a demand for it.

Yes, there will be demand for a 5.2 kit, whether provided by
CentOS or a 3rd-party player. 5.3 is not fully backwards
compatible with 5.2 so it's not a seamless drop-in replacement
without having to audit and change codebases.




John

--
When good is dumb, evil will always triumph.

-- Jeff Atwood, 28 May 2008, Coding Horror Blog, 23 November 2000
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 03:20 PM
Larry Vaden
 
Default php-5.2.x needs adopting

On Thu, Feb 17, 2011 at 12:29 AM, Karanbir Singh <mail-lists@karan.org> wrote:
>
> Would someone like to adopt the 5.2 packages, bring them upto 5.2.17 and
> maintain it going forward for c5 ?

That was done 07-Jan-2011 05:13 by Denis Frolov et al on CentALT IFF
they can be vetted per the trust issues Johnny mentioned.
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 02-17-2011, 04:45 PM
Remi Collet
 
Default php-5.2.x needs adopting

Le 17/02/2011 07:29, Karanbir Singh a écrit :
> hi guys,
>
> We've had a php-5.2 in c5-testing which was based on the rhwas sources
> from upstream. Quite a few people have that package in production at
> various places however, this looks mostly unsupported upstream now.
>
> Would someone like to adopt the 5.2 packages, bring them upto 5.2.17 and
> maintain it going forward for c5 ?
>

Sorry but I think this will be a terrible mistake
(even if I'm going to hurt some people)

AFAIK, CentOS is a RHEL clone.

So, cloning package for RHEL is ok
Cloning package from RHWAS is also ok (in a sub-repository, of course)

RHWAS provides php-5.2.10-1.el5s2 as should CentOS

I think that providing packages which are not RH's upstream introduce a
terrible confusion for final users.

I think this is definitively something for third party repositories.


So, to resume, is CentOS a clone or a fork of RHEL ?

Best regards,
Remi
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 

Thread Tools




All times are GMT. The time now is 02:56 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org